package com.ruoyi.wx.web.service;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.framework.recovery.domain.dto.UserCouponsDto;
import com.ruoyi.framework.recovery.domain.vo.UserCouponsVo;
import com.ruoyi.wx.web.domain.dto.CreditDto;

import java.util.List;

public interface IWxPersonCenterService {
    /**
     * 获取当前登录人的信息
     *
     * @return
     */
    AjaxResult getIndex();

    /**
     * 新增积分
     *
     * @param creditDto 入参
     * @return  结果
     */
    boolean addCredit(CreditDto creditDto);

    /**
     * 获取当前用户领取的所有优惠卷
     *
     * @return 结果集
     */
    List<UserCouponsVo> getCoupons();

    /**
     * 用户领取优惠卷
     *
     * @param dto 入参
     * @return 结果集
     */
    boolean receiveCoupons(UserCouponsDto dto);
}
